# Get Custom Entity Metadata

The metadata is a JSON Schema document that describes the implicit and custom properties
exposed by the specified Custom Entity resource. The schema should be consulted to build
requests against the other Custom Entity endpoints (which fields can be used in `$select`,
`$filter`, `$orderby`, request bodies, etc.).
## Authentication
Requires a valid API key in the `X-API-KEY` header.
## Response
**200 OK** — Returns the JSON Schema as a `ServiceDocumentRepresentation`.
## Error Responses
- **401 Unauthorized** — Missing or invalid API key. Returned by the API gateway as
`{ "message": "Unauthorized", "request_id": "d8aafa5b8f3e400b60bea0123dd33317" }`.
- **404 Not Found** — Tenant or Custom Entity not found.
- **500 Internal Server Error** — Unexpected technical error.

## Example
**Request:**

```http
GET /CustomEntities('Brand')/$metadata HTTP/1.1
X-API-KEY: your-api-key-here
```
**Response:**

```http
HTTP/1.1 200 OK
Content-Type: application/json
```

Endpoint: GET /CustomEntities('{customEntityDenominator}')/$metadata
Version: 2.0.0

## Path parameters:

  - `customEntityDenominator` (string, required)
    Custom Entity denominator (natural language name as defined in the PIM)

## Header parameters:

  - `X-API-KEY` (string)
    Tenant's API key (required)

## Response 200 fields (application/json):

  - `readLink` (object)

  - `readLink.uri` (string)

  - `value` (any)

## Response 401 fields (application/json):

  - `message` (string)

  - `request_id` (string)

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500 fields (application/json):

  - `error` (string)

  - `details` (any)

